Subject: Rice University Executive MBA
From: [email-masked]
Cc: [email-masked]
Date: Wed, 22 Mar 2000 10:35:00 -0800 (PST)

Steve --

I enjoyed talking with you this morning, and look forward to meeting with you 
again soon to discuss maximizing our opportunities with regard to university 
partnerships.

As promised, attached is a draft of an announcement re Rice's EMBA program.  
Please review and let me know if you have questions or changes that you would 
like to make.  I will follow up with you tomorrow afternoon to discuss next 
steps.

Sue